image: docker:latest

services:
  - docker:dind

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - docker build -t app1 .
    - docker save app1 > app1.tar
    - ls -l
  artifacts:
    paths:
      - app1.tar

deploy:
  stage: deploy
  script:
    - ls -l
    - docker load < app1.tar
    - docker run -d -p 1235:80 app1
  only:
    - main
